Debian Bug report logs - #33853
Lynx sets SIGPIPE to SIGIGN?

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Daniel Burrows <Daniel_Burrows@brown.edu>

Date: Thu, 25 Feb 1999 14:03:00 UTC

Severity: normal

Tags: fixed

Merged with 59211

Found in versions 2.8.1-3, 2.8.2-3

Done: Adrian Bunk <bunk@fs.tum.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#33853; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Daniel Burrows <Daniel_Burrows@brown.edu>:
New bug report received and forwarded. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Daniel Burrows <Daniel_Burrows@brown.edu>
To: submit@bugs.debian.org
Subject: Lynx sets SIGPIPE to SIGIGN?
Date: Thu, 25 Feb 1999 08:59:32 -0500
Package: lynx
Version: 2.8.1-3
  
  There's a problem that crops up with dpkg -- if the program that exec()ed
it turned SIGPIPE off, we get nasty errors while installing packages.  This
happens when installing from Lynx:

Unpacking replacement pam-apps ...

gzip: stdout: Broken pipe
dpkg-deb: subprocess gzip -dc returned error exit status 1
dpkg: error processing /tmp/L12302-43TMP.deb (--install):
 subprocess dpkg-deb --fsys-tarfile returned error exit status 2
Errors were encountered while processing:
 /tmp/L12302-43TMP.deb

Done.  Press <return> to continue:

  I've contacted the dpkg people about a similar problem before but they told
me to bug the people in charge of the package which executed dpkg.  So I am.

  Daniel Burrows

-- 
Whoever fights monsters should see to it that in the process he does not
become a monster.  And when you look into an abyss, the abyss also looks
into you.
		-- Friedrich Nietzsche


Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#33853; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Klaus Weide <kweide@tezcat.com>:
Extra info received and forwarded to list. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #10 received at 33853@bugs.debian.org (full text, mbox):

From: Klaus Weide <kweide@tezcat.com>
To: 33853@bugs.debian.org
Subject: Re: Bug#33853: Lynx sets SIGPIPE to SIGIGN?
Date: Sat, 27 Feb 1999 17:53:04 -0600 (CST)
Daniel Burrows <Daniel_Burrows@brown.edu> wrote:

>  I've contacted the dpkg people about a similar problem before but they told
> me to bug the people in charge of the package which executed dpkg.  So I am.

For reference, that is tracked as bug #31521.

Yes, lynx ignores SIGPIPE unless it is started with

  *  one of the dump_output_immediately flags: -dump, -source, ...
  *  -trace
  *  the obscure -stack_dump

I am not convinced that this is a bug in lynx.

    Klaus



Information forwarded to debian-bugs-dist@lists.debian.org, Christian Hudon <chrish@debian.org>:
Bug#33853; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to Klaus Weide <kweide@enteract.com>:
Extra info received and forwarded to list. Copy sent to Christian Hudon <chrish@debian.org>. Full text and rfc822 format available.

Message #15 received at 33853@bugs.debian.org (full text, mbox):

From: Klaus Weide <kweide@enteract.com>
To: 33853@bugs.debian.org
Subject: Re: Bug#33853: Lynx sets SIGPIPE to SIGIGN?
Date: Sat, 12 Jun 1999 08:45:56 -0500 (CDT)
Fix in upstream 2.8.3dev.1, see <http://sol.slcc.edu/lynx/current/>:

* Except for VMS or when DOSPATH is defined, set restore_sigpipe_for_children.
  Fixes Debian bug #33853, maybe not really a bug but let's be nice.

   Klaus



Merged 33853 59211. Request was from Josip Rodin <joy@cibalia.gkvk.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed Request was from Josip Rodin <joy@cibalia.gkvk.hr> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Adrian Bunk <bunk@fs.tum.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Daniel Burrows <Daniel_Burrows@brown.edu>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #24 received at 33853-done@bugs.debian.org (full text, mbox):

From: Adrian Bunk <bunk@fs.tum.de>
To: 33563-done@bugs.debian.org, <39514-done@bugs.debian.org>, <45520-done@bugs.debian.org>, <63391-done@bugs.debian.org>, <94918-done@bugs.debian.org>, <64632-done@bugs.debian.org>, <80125-done@bugs.debian.org>, <95763-done@bugs.debian.org>, <19843-done@bugs.debian.org>, <22884-done@bugs.debian.org>, <33853-done@bugs.debian.org>, <54237-done@bugs.debian.org>, <54588-done@bugs.debian.org>, <63999-done@bugs.debian.org>, <74551-done@bugs.debian.org>, <83482-done@bugs.debian.org>, <83767-done@bugs.debian.org>, <83925-done@bugs.debian.org>, <83926-done@bugs.debian.org>, <92373-done@bugs.debian.org>, <92841-done@bugs.debian.org>, <93227-done@bugs.debian.org>, <94605-done@bugs.debian.org>, <64785-done@bugs.debian.org>, <80048-done@bugs.debian.org>
Subject: These bugs are already fixed
Date: Wed, 10 Oct 2001 15:53:56 +0200 (CEST)
These bugs are already fixed in lynx in unstable/testing. Thanks to
everyone for the NMUs!

cu
Adrian

-- 

Get my GPG key: finger bunk@debian.org | gpg --import

Fingerprint: B29C E71E FE19 6755 5C8A  84D4 99FC EA98 4F12 B400




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 03:33:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.